%global srcname anyvc

Name:           python-%{srcname}
Version:        0.3.7.1
Release:        3%{?dist}
Summary:        Python library to access different version control system

Group:          Development/Languages
License:        GPLv2+
URL:            http://pypi.python.org/pypi/anyvc
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-apipkg
BuildRequires:  pytest
BuildRequires:  python-dulwich
BuildRequires:  mercurial
BuildRequires:  python-subvertpy
BuildRequires:  python-execnet
#BuildRequires:  python-sphinx
BuildRequires:  python-hgdistver

Requires:       python-subvertpy
Requires:       mercurial
Requires:       python-dulwich

%description
Anyvc is an abstraction library for different kind of version control 
systems. Although primarily a library, there is a command line tool (vc)
to use with it.

%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%{__python} setup.py build
#sphinx-build docs/. html
## Remove sphinx stuff because rpmlint is complaining
#rm html/.buildinfo
#rm -rf html/.doctrees

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%files
#%doc html/
%{_bindir}/vc
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7.1-2
- Remove egg-info
- python-hgdistver is available now

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7.1-1
- BR updated for tests
- Updated to new upstream version 0.3.7.1

* Fri Jun 08 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7-1
- No docs for the moment because the template is unknown
- Updated to new upstream version 0.3.7

* Wed Nov 08 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-1
- Added test that is working
- Added new BR
- Updated to new upstream version 0.3.5

* Wed Apr 28 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Commented check section out
- Updated to new upstream version 0.3.1

* Wed Apr 28 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.1-1
- Initial package
